import { GetStaticProps } from "next";

import { getCurrentTerm, getEventsPageProps } from "@/lib/events";

import Term, { Props } from "./[year]/[term]";

export default Term;

export const getStaticProps: GetStaticProps<Props> = async () => {
  return { props: await getEventsPageProps(getCurrentTerm()) };
};
